<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PictureRunMapper (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PictureRunMapper (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PictureRunMapper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
               title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/PictureRunMapper.html"
               target="_top">Frames</a></li>
        <li><a href="PictureRunMapper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class PictureRunMapper" class="title">Class PictureRunMapper</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.usermodel.PictureRunMapper</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">PictureRunMapper</span>
extends java.lang.Object</pre>
                <div class="block">Helper class for mapping Pictures to Runs within
                    a document.

                    This allows for easy access to Pictures by Run,
                    as well as a way to find "Escher Floating"
                    Pictures which don't have the regular 
                    references in the main text.

                    Provides access to the pictures by offset, iteration
                    over the un-claimed, and peeking forward.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#PictureRunMapper-org.apache.poi.hwpf.HWPFDocument-">PictureRunMapper</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#getFor-org.apache.poi.hwpf.usermodel.CharacterRun-">getFor</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;cr)</code>
                                    <div class="block">Get the Picture for this run, if any</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#hasBeenClaimed-org.apache.poi.hwpf.usermodel.Picture-">hasBeenClaimed</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</code>
                                    <div class="block">Has the given Picture been claimed by a non-Run yet?</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#hasPicture-org.apache.poi.hwpf.usermodel.CharacterRun-">hasPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;cr)</code>
                                    <div class="block">Does this run have a Picture in it?</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#markAsClaimed-org.apache.poi.hwpf.usermodel.Picture-">markAsClaimed</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</code>
                                    <div class="block">Mark a Picture as claimed.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#nextUnclaimed--">nextUnclaimed</a></span>()</code>
                                    <div class="block">Return the next unclaimed one, used towards
                                        the end
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#pictureNumber-org.apache.poi.hwpf.usermodel.Picture-">pictureNumber</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</code>
                                    <div class="block">Which Picture is this one of all the Pictures in
                                        the Document?

                                        Useful when trying to extract all Pictures with
                                        unique numbers or references
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PictureRunMapper-org.apache.poi.hwpf.HWPFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PictureRunMapper</h4>
                                <pre>public&nbsp;PictureRunMapper(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="hasPicture-org.apache.poi.hwpf.usermodel.CharacterRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasPicture</h4>
                                <pre>public&nbsp;boolean&nbsp;hasPicture(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;cr)</pre>
                                <div class="block">Does this run have a Picture in it?</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#getFor-org.apache.poi.hwpf.usermodel.CharacterRun-"><code>getFor(CharacterRun)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFor-org.apache.poi.hwpf.usermodel.CharacterRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;getFor(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;cr)</pre>
                                <div class="block">Get the Picture for this run, if any</div>
                            </li>
                        </ul>
                        <a name="markAsClaimed-org.apache.poi.hwpf.usermodel.Picture-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>markAsClaimed</h4>
                                <pre>public&nbsp;void&nbsp;markAsClaimed(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</pre>
                                <div class="block">Mark a Picture as claimed.
                                    Used when trying to match up non-Run based pictures
                                </div>
                            </li>
                        </ul>
                        <a name="hasBeenClaimed-org.apache.poi.hwpf.usermodel.Picture-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasBeenClaimed</h4>
                                <pre>public&nbsp;boolean&nbsp;hasBeenClaimed(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</pre>
                                <div class="block">Has the given Picture been claimed by a non-Run yet?</div>
                            </li>
                        </ul>
                        <a name="pictureNumber-org.apache.poi.hwpf.usermodel.Picture-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pictureNumber</h4>
                                <pre>public&nbsp;int&nbsp;pictureNumber(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</pre>
                                <div class="block">Which Picture is this one of all the Pictures in
                                    the Document?

                                    Useful when trying to extract all Pictures with
                                    unique numbers or references
                                </div>
                            </li>
                        </ul>
                        <a name="nextUnclaimed--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>nextUnclaimed</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;nextUnclaimed()</pre>
                                <div class="block">Return the next unclaimed one, used towards
                                    the end
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PictureRunMapper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
               title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/PictureRunMapper.html"
               target="_top">Frames</a></li>
        <li><a href="PictureRunMapper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
